<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link href="./css/index.css" rel="stylesheet" />
  <script src="./data/data.js" type="text/javascript"></script>
  <script src="./js/index.js" type="text/javascript"></script>
  <title>To Do List</title>
</head>

<body onload="getAllItems('All')">
  <main id="container" class="container">
    <header id="title">
      <!-- Need to be implemented -->
      <h2 id="titleHeadline">To Do Items</h2>
      <p id="titleContent">Use this application to manage your to do items</p>
    </header>
    <article id="itemsContainer">
      <!-- Need to be implemented -->
      <section id="input">
        <input id="inputbox" onkeydown="enterKey(event)" type="text" placeholder="Enter your to do item">
        <button id="inputbutton" type="button" onclick="addItem()"><img src="images\add.png"></button>
      </section>
      <section id="inputContent">
        <ol id="list"></ol>
      </section>
    </article>
    <footer id="btnContainer" class="btnContainer">
      <!-- Need to be implemented -->
      <button onclick="allItemsButton()" id="buttonAll" class="footerButton">
        All
      </button>
      <button onclick="activeItemsButton()" id="buttonActive" class="footerButton">
        Active
      </button>
      <button onclick="completedItemsButton()" id="buttonCompleted" class="footerButton">
        Completed
      </button>
      </button>
      <button onclick="undo()" id="undo">
        <img src="images\undo.png">
      </button>
    </footer>
  </main>
</body>

</html>
